<packet name="SpellGainedMsg">
	<version number="1">
		<u8 name="spell_type">
		<u32 name="spell_id">
		<str16 name="spell_name">
		<u8 name="add_silently">
		<u8 name="tier">
	</version>
	<version number="546">
		<u8 name="spell_type">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<str16 name="spell_name">
		<u8 name="add_silently">
		<u8 name="add_to_hotbar">
		<u8 name="tier">
		<u16 name="icon">
		<u16 name="icon_type">
		<u32 name="unknown5">
	</version>
	<version number="562">
		<u8 name="spell_type">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<str16 name="spell_name">
		<u16 name="display_spell_tier">
		<u8 name="unknown3">
		<u8 name="tier">
		<u16 name="icon">
		<u16 name="icon_type">
		<u32 name="unknown5">
	</version>
	<version number="1011">
		<u8 name="spell_type">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<str16 name="spell_name">
		<u8 name="unknown">
		<u8 name="display_spell_tier">
		<u8 name="unknown2">
		<u8 name="unknown3">
		<u8 name="tier">
		<u16 name="icon">
		<u16 name="icon_type">
		<u32 name="unknown5">
	</version>
</packet>